file_update_time
Prev | Inode Handling | Next

## Name

file_update_time — update mtime and ctime time

## Synopsis

`void file_update_time (` | struct file * | file`)`;

## Arguments

`file`

  file accessed

## Description

Update the mtime and ctime members of an inode and mark the inode for writeback. Note that this function is meant exclusively for usage in the file write path of filesystems, and filesystems may choose to explicitly ignore update via this function with the S_NOCTIME inode flag, e.g. for network filesystem where these timestamps are handled by the server.

Prev | Up | Next
touch_atime | Home | make_bad_inode